/*
Module : GPSCom2.cpp
Purpose: Main App Module class for GPSCom2
Created: PJN / 27-04-2010

Copyright (c) 2010 - 2023 by PJ Naughter (Web: www.naughter.com, Email: pjna@naughter.com)

All rights reserved.

Copyright / Usage Details:

You are allowed to include the source code in any product (commercial, shareware, freeware or otherwise) 
when your product is released in binary form. You are allowed to modify the source code in any way you want 
except you cannot modify the copyright details at the top of each module. If you want to distribute source 
code with your application, then you are only allowed to distribute versions released by the author. This is 
to maintain a single distribution point for the source code. 

*/


//////////////////// Includes /////////////////////////////////////////////////

#include "stdafx.h"
#include "GPSCom2.h"
#include "resource.h"


//////////////////// Macros / Defines /////////////////////////////////////////

//The one and only ATL module
#pragma warning(suppress: 26426)
CGPSCom2Module _AtlModule;


//////////////////// Implementation ///////////////////////////////////////////

//Main entry point for the project
extern "C" int WINAPI _tWinMain(_In_ HINSTANCE /*hInstance*/, _In_opt_ HINSTANCE /*hPrevInstance*/, _In_ LPTSTR /*lpCmdLine*/, _In_ int nShowCmd)
{
  return _AtlModule.WinMain(nShowCmd); //NOLINT(clang-analyzer-optin.cplusplus.VirtualCall)
}
